Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.event.internal
Class DefaultPostLoadEventListener

    java.lang.Object
      org.hibernate.event.internal.DefaultPostLoadEventListener

All Implemented Interfaces:
  Serializable, PostLoadEventListener

    public class DefaultPostLoadEventListener

extends Object
implements PostLoadEventListener

We do 2 things here:

- Call `Lifecycle` interface if necessary
- Perform needed `EntityEntry.getLockMode()` related processing

See Also:
  Serialized Form

Constructor Summary
`DefaultPostLoadEventListener()`

Method Summary
`void` | `onPostLoad(PostLoadEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultPostLoadEventListener

    public DefaultPostLoadEventListener()

Method Detail

### onPostLoad

    public void onPostLoad(PostLoadEvent event)

  Specified by:
    `onPostLoad` in interface `PostLoadEventListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.